# Generated by rust2rpm 22
%bcond_without check

%global crate rbspy

Name:           rust-rbspy
Version:        0.12.1
Release:        %autorelease
Summary:        Sampling CPU profiler for Ruby

License:        MIT
URL:            https://crates.io/crates/rbspy
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Automatically generated patch to strip foreign dependencies
Patch:          rbspy-fix-metadata-auto.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21
%if %{with check}
BuildRequires:  ruby
BuildRequires:  rubygems
%endif

%global _description %{expand:
Sampling CPU profiler for Ruby.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD or MIT or ASL 2.0
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# CDDL-1.0
# MIT
# MIT or ASL 2.0
# MIT or zlib or ASL 2.0
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        MIT and ASL 2.0 and CDDL-1.0
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license License.md
%license LICENSE.dependencies
%doc ARCHITECTURE.md
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTORS.md
%doc NEW_RUBY_VERSION_CHECKLIST.md
%doc README.md
%doc RELEASE_CHECKLIST.md
%{_bindir}/rbspy

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/License.md
%doc %{crate_instdir}/ARCHITECTURE.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTORS.md
%doc %{crate_instdir}/NEW_RUBY_VERSION_CHECKLIST.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASE_CHECKLIST.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * tests cannot be run in parallel
# * skip tests that load a Ruby script which is not included in published crates
# * skip a test that appears to be flaky
%ifarch s390x
# * skip tests that don't work on BE architectures due to hardcoded hex literals
%cargo_test -- -- --test-threads 1 --skip core::initialize::tests::test_get_exec_trace --skip core::initialize::tests::test_get_trace --skip sampler::tests::test_sample_single_process --skip sampler::tests::test_sample_subprocesses --skip test_current_thread_address --skip test_get_ruby_stack_trace
%else
%cargo_test -- -- --test-threads 1 --skip core::initialize::tests::test_get_exec_trace --skip core::initialize::tests::test_get_trace --skip sampler::tests::test_sample_single_process --skip sampler::tests::test_sample_subprocesses --skip test_current_thread_address
%endif
%endif

%changelog
%autochangelog
